Chats

Subscribe to a contact's presence

Registers the WUTS session to receive presence (online/last-seen) updates for a specific contact, optionally forcing the session online first.

POST
/presence/subscribe

Registers the WUTS session to receive presence (online/last-seen) updates for a specific contact, optionally forcing the session online first.

Authorization

bearerAuth
AuthorizationBearer <token>

Per-user API token (UUID v4) sent as Authorization: Bearer <token>. Identifies the tenant and user.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Configures a presence subscription for a single contact.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/presence/subscribe" \  -H "Content-Type: application/json" \  -d '{    "jid": "5511999999999@s.whatsapp.net",    "ensure_online": true  }'
{  "success": true,  "subject_jid": "5511999999999@s.whatsapp.net"}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}